SDL_HapticCustom Struct Reference

`#include <SDL_haptic.h>`

Collaboration diagram for SDL_HapticCustom:
[legend]

## Data Fields

Uint16 | type
SDL_HapticDirection | direction
Uint32 | length
Uint16 | delay
Uint16 | button
Uint16 | interval
Uint8 | channels
Uint16 | period
Uint16 | samples
Uint16 * | data
Uint16 | attack_length
Uint16 | attack_level
Uint16 | fade_length
Uint16 | fade_level

## Detailed Description

A structure containing a template for the SDL_HAPTIC_CUSTOM effect.

This struct is exclusively for the SDL_HAPTIC_CUSTOM effect.

A custom force feedback effect is much like a periodic effect, where the application can define its exact shape. You will have to allocate the data yourself. Data should consist of channels * samples Uint16 samples.

If channels is one, the effect is rotated using the defined direction. Otherwise it uses the samples in data for the different axes.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_HAPTIC_CUSTOM
  SDL_HapticEffect

Definition at line 816 of file SDL_haptic.h.

## Field Documentation

## attack_length

Uint16 SDL_HapticCustom::attack_length

Duration of the attack.

Definition at line 837 of file SDL_haptic.h.

## attack_level

Uint16 SDL_HapticCustom::attack_level

Level at the start of the attack.

Definition at line 838 of file SDL_haptic.h.

## button

Uint16 SDL_HapticCustom::button

Button that triggers the effect.

Definition at line 827 of file SDL_haptic.h.

## channels

Uint8 SDL_HapticCustom::channels

Axes to use, minimum of one.

Definition at line 831 of file SDL_haptic.h.

## data

Uint16* SDL_HapticCustom::data

Should contain channels*samples items.

Definition at line 834 of file SDL_haptic.h.

## delay

Uint16 SDL_HapticCustom::delay

Delay before starting the effect.

Definition at line 824 of file SDL_haptic.h.

## direction

SDL_HapticDirection SDL_HapticCustom::direction

Direction of the effect.

Definition at line 820 of file SDL_haptic.h.

## fade_length

Uint16 SDL_HapticCustom::fade_length

Duration of the fade.

Definition at line 839 of file SDL_haptic.h.

## fade_level

Uint16 SDL_HapticCustom::fade_level

Level at the end of the fade.

Definition at line 840 of file SDL_haptic.h.

## interval

Uint16 SDL_HapticCustom::interval

How soon it can be triggered again after button.

Definition at line 828 of file SDL_haptic.h.

## length

Uint32 SDL_HapticCustom::length

Duration of the effect.

Definition at line 823 of file SDL_haptic.h.

## period

Uint16 SDL_HapticCustom::period

Sample periods.

Definition at line 832 of file SDL_haptic.h.

## samples

Uint16 SDL_HapticCustom::samples

Amount of samples.

Definition at line 833 of file SDL_haptic.h.

## type

Uint16 SDL_HapticCustom::type

SDL_HAPTIC_CUSTOM

Definition at line 819 of file SDL_haptic.h.

The documentation for this struct was generated from the following file:

- SDL_haptic.h